# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.finance
Class PositionEntry

    java.lang.Object
      com.google.gdata.data.AbstractExtension
          com.google.gdata.data.ExtensionPoint
              com.google.gdata.data.BaseEntry<PositionEntry>
                  com.google.gdata.data.finance.PositionEntry

All Implemented Interfaces:
  Extension, IAtom, IEntry, Kind.Adaptable, Kind.Adaptor

    public class PositionEntry

extends BaseEntry<PositionEntry>

Describes an entry in a feed of Finance positions.

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gdata.data.BaseEntry
`BaseEntry.AtomHandler, BaseEntry.EntryState`

Nested classes/interfaces inherited from class com.google.gdata.data.ExtensionPoint
`ExtensionPoint.CumulativeBlobHandler, ExtensionPoint.ExtensionHandler`

Nested classes/interfaces inherited from class com.google.gdata.data.AbstractExtension
`AbstractExtension.AttributesHandler`

Field Summary
`static Category` `CATEGORY` Position kind category.
`static java.lang.String` `KIND` Position kind term value.

Fields inherited from class com.google.gdata.data.BaseEntry
`state`

Fields inherited from class com.google.gdata.data.ExtensionPoint
`xmlBlob`

Fields inherited from class com.google.gdata.data.AbstractExtension
`localName, namespace`

Constructor Summary
`PositionEntry()` Default mutable constructor.
`PositionEntry(BaseEntry<?> sourceEntry)` Constructs a new instance by doing a shallow copy of data from an existing `BaseEntry` instance.

Method Summary
`void` `declareExtensions(ExtensionProfile extProfile)` Declares the set of expected Extension types for an ExtensionPoint within the target extension profile.
`PositionFeedLink` `getFeedLink()` Returns the transaction feed for the position.
`PositionData` `getPositionData()` Returns the data for the position.
`Symbol` `getSymbol()` Returns the stock symbol for the position.
`boolean` `hasFeedLink()` Returns whether it has the transaction feed for the position.
`boolean` `hasPositionData()` Returns whether it has the data for the position.
`boolean` `hasSymbol()` Returns whether it has the stock symbol for the position.
`void` `setFeedLink(PositionFeedLink feedLink)` Sets the transaction feed for the position.
`void` `setPositionData(PositionData positionData)` Sets the data for the position.
`void` `setSymbol(Symbol symbol)` Sets the stock symbol for the position.
`java.lang.String` `toString()`
`protected void` `validate()` Checks the attributes to see if there are any problems.

Methods inherited from class com.google.gdata.data.BaseEntry

`addAdaptor, addHtmlLink, addLink, addLink, delete, generate, generateAtom, generateRss, getAdaptedEntry, getAdaptor, getAdaptors, getAuthors, getCanEdit, getCategories, getContent, getContentHandlerInfo, getContributors, getEdited, getEditLink, getEtag, getHandler, getHtmlLink, getId, getKind, getLink, getLinks, getLinks, getMediaEditLink, getPlainTextContent, getPubControl, getPublished, getResumableEditMediaLink, getRights, getSelectedFields, getSelf, getSelfLink, getService, getSource, getSummary, getTextContent, getTitle, getUpdated, getVersionId, isDraft, parseAtom, parseAtom, parseAtom, readEntry, readEntry, removeLinks, removeLinks, setCanEdit, setContent, setContent, setDraft, setEdited, setEtag, setId, setKind, setPubControl, setPublished, setRights, setSelectedFields, setService, setSource, setSummary, setTitle, setUpdated, setVersionId, update, visitChildren`

Methods inherited from class com.google.gdata.data.ExtensionPoint

`addExtension, addExtension, addRepeatingExtension, addRepeatingExtension, checkRequiredExtensions, createExtensionInstance, generate, generateCumulativeXmlBlob, generateExtensions, generateStartElement, getExtension, getExtensionDescription, getExtensionHandler, getExtensions, getManifest, getRepeatingExtension, getRepeatingExtensions, getXmlBlob, hasExtension, hasRepeatingExtension, initializeArbitraryXml, parseCumulativeXmlBlob, removeExtension, removeExtension, removeRepeatingExtension, setExtension, setXmlBlob, visit, visitChild`

Methods inherited from class com.google.gdata.data.AbstractExtension
`consumeAttributes, disableStrictValidation, enableStrictValidation, eq, generateAttributes, getExtensionLocalName, getExtensionNamespace, isImmutable, isStrictValidation, putAttributes, sameClassAs, setImmutable, throwExceptionForMissingAttribute, throwExceptionIfImmutable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### KIND

    public static final java.lang.String KIND

  Position kind term value.

  See Also:
    Constant Field Values

### CATEGORY

    public static final Category CATEGORY

  Position kind category.

Constructor Detail

### PositionEntry

    public PositionEntry()

  Default mutable constructor.

### PositionEntry

    public PositionEntry(BaseEntry<?> sourceEntry)

  Constructs a new instance by doing a shallow copy of data from an existing `BaseEntry` instance.

  Parameters:
    `sourceEntry` - source entry

Method Detail

### declareExtensions

    public void declareExtensions(ExtensionProfile extProfile)

  Description copied from class: `ExtensionPoint`
  Declares the set of expected Extension types for an ExtensionPoint within the target extension profile. The base implementation does not declare any extensions, but can be overridden by specific types of ExtensionPoints that always contain a well-defined set of extensions.

  Specified by:
    `declareExtensions` in interface `Kind.Adaptor`
  Overrides:
    `declareExtensions` in class `ExtensionPoint`
  Parameters:
    `extProfile` - the ExtensionProfile to initialize.
  See Also:
    `ExtensionProfile.addDeclarations(Kind.Adaptor)`

### getFeedLink

    public PositionFeedLink getFeedLink()

  Returns the transaction feed for the position.

  Returns:
    transaction feed for the position

### setFeedLink

    public void setFeedLink(PositionFeedLink feedLink)

  Sets the transaction feed for the position.

  Parameters:
    `feedLink` - transaction feed for the position or `null` to reset

### hasFeedLink

    public boolean hasFeedLink()

  Returns whether it has the transaction feed for the position.

  Returns:
    whether it has the transaction feed for the position

### getPositionData

    public PositionData getPositionData()

  Returns the data for the position.

  Returns:
    data for the position

### setPositionData

    public void setPositionData(PositionData positionData)

  Sets the data for the position.

  Parameters:
    `positionData` - data for the position or `null` to reset

### hasPositionData

    public boolean hasPositionData()

  Returns whether it has the data for the position.

  Returns:
    whether it has the data for the position

### getSymbol

    public Symbol getSymbol()

  Returns the stock symbol for the position.

  Returns:
    stock symbol for the position

### setSymbol

    public void setSymbol(Symbol symbol)

  Sets the stock symbol for the position.

  Parameters:
    `symbol` - stock symbol for the position or `null` to reset

### hasSymbol

    public boolean hasSymbol()

  Returns whether it has the stock symbol for the position.

  Returns:
    whether it has the stock symbol for the position

### validate

    protected void validate()

  Description copied from class: `AbstractExtension`
  Checks the attributes to see if there are any problems. Default implementation does nothing, though generally this is discouraged unless there really are no restrictions.

  Overrides:
    `validate` in class `AbstractExtension`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`